%define upstream_name    Data-SearchEngine
%define upstream_version 0.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Digest flag & configuration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Paginator) >= 0.30.0
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(JSON::Any)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Storage)
BuildRequires: perl(MooseX::Storage::Deferred)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(strict)
BuildArch:  noarch

%description
There are *lots* of search engine libraries. Each has a different
interface. The goal of Data::SearchEngine is to provide a simple, extensive
set of classes and roles that you can use to wrap a search implementation.
The net result will be an easily swappable backend with a common set of
features.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-2.mga3
+ Revision: 365424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 kharec <kharec> 0.330.0-1.mga2
+ Revision: 211631
- update to 0.33

* Fri Dec 16 2011 kharec <kharec> 0.320.0-1.mga2
+ Revision: 182708
- update to 0.32

* Fri Dec 16 2011 kharec <kharec> 0.300.0-1.mga2
+ Revision: 182686
- imported package perl-Data-SearchEngine

